Subject: bugtraq-digest V2 #28
From: [email-masked] (bugtraq-digest)
To: [email-masked]

bugtraq-digest         Thursday, July 22 1999         Volume 02 : Number 028

In this issue:

    ld?
    Re: ld?
    Re: ld?
    Re: ld?
    Re: ld?
    Re: ld?
    Spurious results from /proc/therm

See the end of this digest for information about bugtraq-digest.

----------------------------------------------------------------------

Date: Tue, 13 Jul 1999 14:08:09 -0500
From: scott hutinger <[email-masked]>
Subject: ld?

I haven't looked at the source, but blackdown is currently using
- -Wl,--retain-symbols,allowed.symbols to only use specific motif
symbols.  The netwinder's ld doesn't know about this.

Other methods could be used, but I was curios if anyone knew about this.

thanks,
scott

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Tue, 13 Jul 1999 15:39:29 -0400
From: scottb <[email-masked]>
Subject: Re: ld?

scott hutinger wrote:
> 
> I haven't looked at the source, but blackdown is currently using
> -Wl,--retain-symbols,allowed.symbols to only use specific motif
> symbols.  The netwinder's ld doesn't know about this.
> 
> Other methods could be used, but I was curios if anyone knew about this.

A quick glance at the ld manual yields:

	-Wl,--retain-symbols-file allowed.symbols

Try this out.

Scott

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Tue, 13 Jul 1999 15:54:39 -0500
From: scott hutinger <[email-masked]>
Subject: Re: ld?

scottb wrote:

> scott hutinger wrote:
> >
> > I haven't looked at the source, but blackdown is currently using
> > -Wl,--retain-symbols,allowed.symbols to only use specific motif
> > symbols.  The netwinder's ld doesn't know about this.
> >
> > Other methods could be used, but I was curios if anyone knew about this.
>
> A quick glance at the ld manual yields:
>
>         -Wl,--retain-symbols-file allowed.symbols
>
> Try this out.
>
> Scott

That doesn't seem to work with the Disk12 build.
usr/X11R6/lib/libXm.a -L/usr/X11R6/lib -R/usr/X11R6/lib -lXpm -lXt -lICE -lSM
- -lXext -lX11 -lXp    -Wl,--retain-symbols-file allowed.symbols
ld: unrecognized option `-Wl,--retain-symbols-file'

Thanks, I'll double check the docs again.
scott

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Tue, 13 Jul 1999 18:01:51 -0400
From: scottb <[email-masked]>
Subject: Re: ld?

scott hutinger wrote:
>
> That doesn't seem to work with the Disk12 build.
> usr/X11R6/lib/libXm.a -L/usr/X11R6/lib -R/usr/X11R6/lib -lXpm -lXt -lICE -lSM
> -lXext -lX11 -lXp    -Wl,--retain-symbols-file allowed.symbols
> ld: unrecognized option `-Wl,--retain-symbols-file'
> 

This looks like you passed -Wl,--retain-symbols-file imports.allowed to
the linker directly.
Can you post the whole command?

Scott

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Tue, 13 Jul 1999 18:09:52 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: ld?

scott hutinger wrote:
>
> I haven't looked at the source, but blackdown is currently using
> -Wl,--retain-symbols,allowed.symbols to only use specific motif
> symbols.  The netwinder's ld doesn't know about this.

This is almost right... except it should be --retain-symbols-file

> scottb wrote:
> A quick glance at the ld manual yields:
>          -Wl,--retain-symbols-file allowed.symbols

This has the -file added correctly, but fails to pass 'allowed.symbols'
to the linker... instead of spaces, commas need to be used.

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: Wed, 14 Jul 1999 16:28:27 -0500
From: scott hutinger <[email-masked]>
Subject: Re: ld?

scottb wrote:

> scott hutinger wrote:
> >
> > That doesn't seem to work with the Disk12 build.
> > usr/X11R6/lib/libXm.a -L/usr/X11R6/lib -R/usr/X11R6/lib -lXpm -lXt -lICE -lSM
> > -lXext -lX11 -lXp    -Wl,--retain-symbols-file allowed.symbols
> > ld: unrecognized option `-Wl,--retain-symbols-file'
> >
>
> This looks like you passed -Wl,--retain-symbols-file imports.allowed to
> the linker directly.
> Can you post the whole command?
>
> Scott

Correct!  That fixes that; which is sort of related to getting around -z defs.

thanks,
scott

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

Date: 22 Jul 1999 14:40:33 GMT
From: [email-masked]
Subject: Spurious results from /proc/therm

When running xaudio (hey, gotta have music while writing code), I get
spurious results from /proc/therm (samples below).  I have a couple
of questions (running a pretty stock DM12 on a recent netwinder):

1) Will this affect fan operation?  At work the temperature reading
from the NetWinder stays between 39 and 42C, but at home it can climb
higher and I'd like to know if the fan will switch to high speed when
it is supposed to.

2) Do other time-critical applications also cause problems like this,
or is something particular about xaudio (the fairly common MP3 player
used on NetWinders)?

3) I picked up my NetWinder used, does anyone know what the default
thermostat settings are?  I found a recommendation for a HI of 50 in
the FAQ, but haven't seen any recommendations for a LO.  It's getting
hot here in Kansas City, and I'd like to know what is supposed to be 
OK for thermostat, and more importantly, temperature...              
                                                                   
Thanks in advance.                                                   
                                                                     
Output from several "cat /proc/therm" calls, one right after another:
                                                                     
[spectre@netwinder spectre]$ cat /proc/therm                         
Thermostat: HI 50.0, LO -1.5; temperature: 41.5 C, fan ON.          
Thermostat: HI 50.0, LO 45.0; temperature: -1.5 C, fan ON.           
Thermostat: HI -1.5, LO 45.0; temperature: 41.5 C, fan ON.           
Thermostat: HI 50.0, LO 45.0; temperature: 41.5 C, fan ON.           
Thermostat: HI 0.0, LO 45.0; temperature: 0.0 C, fan ON.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq" as the body of your message.

------------------------------

End of bugtraq-digest V2 #28
****************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe bugtraq-digest" as the body of your message.